/**
	******************************************************************************
	* @file    boot_app.h
	* @author  Mingyea Asamiya
	* @version V1.0.0
	* @date    2017-01-19
	* @brief   測試用
	* @function List:
	******************************************************************************
	* @attention
	*
	*
	* <h2><center>&copy; COPYRIGHT 2011 STMicroelectronics</center></h2>
	******************************************************************************
	* @History:
	* @Author:
	* @Data:
	* @Version:
	*/





#ifndef __SERVICE_27_H__
#define __SERVICE_27_H__




#include "common_types.h"


/*lint -e749 */ /* 枚舉 not referenced*/
/*lint -e750 */ /* 宏 not referenced*/
/*lint -e751 */ /* 變量 not referenced*/
/*lint -e752 */ /* 函數 not referenced*/
/*lint -e754 */ /* 結構體成員 not referenced*/
#define DCM_KEY_LEN 4u

#define SERVICE_SEED_LEN_MAX  4u   //加入運算的seed長度，其實有16字節；
#define SERVICE_SEED_LEN_VALID  4u	//真正用到的，前4個字節
#define SERVICE_LEVEL_MAX  6u

void service_27_init(void);
void service_27_generate_seed(void);
void service_27_get_seed(u8 *pdata,u8 len);
u8 service_27_get_seed_element(u8 buf_id);
void service_27_get_key(u8 Dcm_SecuirityLevel, u8* p_key);



//#define   service_27_decrypt  aes128_cbc_decrypt_ext

#if 0
void service_27_get_iv(u8 *pdata);
#endif


//void ResetMCUHandle(void);
void service_27_test(void);


#endif /* __SERVICE_27_H__ */